# Uses of Interface
javax.sql.RowSetReader

Packages that use RowSetReader
Package
Description
javax.sql.rowset.spi
The standard classes and interfaces that a third party vendor has to use in its implementation of a synchronization provider.

- ## Uses of RowSetReader in javax.sql.rowset.spi

  Subinterfaces of RowSetReader in javax.sql.rowset.spi
  Modifier and Type
  Interface
  Description
  `interface`
  `XmlReader`
  A specialized interface that facilitates an extension of the `SyncProvider` abstract class for XML orientated synchronization providers.
  Methods in javax.sql.rowset.spi that return RowSetReader
  Modifier and Type
  Method
  Description
  `abstract RowSetReader`
  SyncProvider.`getRowSetReader()`
  Returns a `javax.sql.RowSetReader` object, which can be used to populate a `RowSet` object with data.